is_float
is_integer
Variable handling Functions
PHP Manual

# is_int

(PHP 4, PHP 5)

is_int — Find whether the type of a variable is integer

### Description

bool is_int ( mixed `$var` )

Finds whether the type of the given variable is integer.

> Note: To test if a variable is a number or a numeric string (such as form input, which is always a string), you must use is_numeric().

### Parameters

`var`

  The variable being evaluated.

### Return Values

Returns `TRUE` if `var` is an integer, `FALSE` otherwise.

### Examples

Example #1 is_int() example

`<?php
if (is_int(23)) {
echo "is integer\n";
} else {
echo "is not an integer\n";
}
var_dump(is_int(23));
var_dump(is_int("23"));
var_dump(is_int(23.5));
var_dump(is_int(true));
?>`

The above example will output:

    is integer
    bool(true)
    bool(false)
    bool(false)
    bool(false)

### See Also

- is_bool()
- is_float()
- is_numeric()
- is_string()
- is_array()
- is_object()

is_float
is_integer
Variable handling Functions
PHP Manual